* Work with hyperestraier 1.4.9.